PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_Init_Affinity | ( | int | cores,
|  | int * | coresbind
| ) |  |

PLASMA_Init_Affinity - Initialize PLASMA.

Parameters

  [in] | cores | Number of cores to use (threads to launch). If cores = 0, cores = PLASMA_NUM_THREADS if it is set, the system number of core otherwise.
  [in] | coresbind | Array to specify where to bind each thread. Each thread i is binded to coresbind[hwloc(i)] if hwloc is provided, or to coresbind[i] otherwise. If coresbind = NULL, coresbind = PLASMA_AFF_THREADS if it is set, the identity function otherwise.

Returns

Return values

  PLASMA_SUCCESS | successful exit